IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
2002:53::/32- First address
2002:53::- Last address
2002:53:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
2002:0053:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
3.5.0.0.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:53::/32 makes 4,096 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:53::/44 | 2002:53:f:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:53:10::/44 | 2002:53:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:53:20::/44 | 2002:53:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:53:30::/44 | 2002:53:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:53:40::/44 | 2002:53:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:53:50::/44 | 2002:53:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:53:60::/44 | 2002:53:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:53:70::/44 | 2002:53:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:53:80::/44 | 2002:53:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:53:90::/44 | 2002:53:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:53:a0::/44 | 2002:53:af:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:53:b0::/44 | 2002:53:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:53:c0::/44 | 2002:53:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:53:d0::/44 | 2002:53:df:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:53:e0::/44 | 2002:53:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:53:f0::/44 | 2002:53:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:53:100::/44 | 2002:53:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:53:110::/44 | 2002:53:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:53:120::/44 | 2002:53:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:53:130::/44 | 2002:53:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:53:140::/44 | 2002:53:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:53:150::/44 | 2002:53:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:53:160::/44 | 2002:53:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:53:170::/44 | 2002:53:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:53:180::/44 | 2002:53:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:53:190::/44 | 2002:53:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:53:1a0::/44 | 2002:53:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:53:1b0::/44 | 2002:53:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:53:1c0::/44 | 2002:53:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:53:1d0::/44 | 2002:53:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:53:1e0::/44 | 2002:53:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:53:1f0::/44 | 2002:53:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:53:200::/44 | 2002:53:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:53:210::/44 | 2002:53:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:53:220::/44 | 2002:53:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:53:230::/44 | 2002:53:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:53:240::/44 | 2002:53:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:53:250::/44 | 2002:53:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:53:260::/44 | 2002:53:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:53:270::/44 | 2002:53:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:53:280::/44 | 2002:53:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:53:290::/44 | 2002:53:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:53:2a0::/44 | 2002:53:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:53:2b0::/44 | 2002:53:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:53:2c0::/44 | 2002:53:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:53:2d0::/44 | 2002:53:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:53:2e0::/44 | 2002:53:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:53:2f0::/44 | 2002:53:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:53:300::/44 | 2002:53:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:53:310::/44 | 2002:53:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:53:320::/44 | 2002:53:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:53:330::/44 | 2002:53:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:53:340::/44 | 2002:53:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:53:350::/44 | 2002:53:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:53:360::/44 | 2002:53:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:53:370::/44 | 2002:53:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:53:380::/44 | 2002:53:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:53:390::/44 | 2002:53:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:53:3a0::/44 | 2002:53:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:53:3b0::/44 | 2002:53:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:53:3c0::/44 | 2002:53:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:53:3d0::/44 | 2002:53:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:53:3e0::/44 | 2002:53:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:53:3f0::/44 | 2002:53:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:53:400::/44 | 2002:53:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:53:410::/44 | 2002:53:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:53:420::/44 | 2002:53:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:53:430::/44 | 2002:53:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:53:440::/44 | 2002:53:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:53:450::/44 | 2002:53:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:53:460::/44 | 2002:53:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:53:470::/44 | 2002:53:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:53:480::/44 | 2002:53:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:53:490::/44 | 2002:53:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:53:4a0::/44 | 2002:53:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:53:4b0::/44 | 2002:53:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:53:4c0::/44 | 2002:53:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:53:4d0::/44 | 2002:53:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:53:4e0::/44 | 2002:53:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:53:4f0::/44 | 2002:53:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:53:500::/44 | 2002:53:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:53:510::/44 | 2002:53:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:53:520::/44 | 2002:53:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:53:530::/44 | 2002:53:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:53:540::/44 | 2002:53:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:53:550::/44 | 2002:53:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:53:560::/44 | 2002:53:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:53:570::/44 | 2002:53:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:53:580::/44 | 2002:53:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:53:590::/44 | 2002:53:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:53:5a0::/44 | 2002:53:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:53:5b0::/44 | 2002:53:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:53:5c0::/44 | 2002:53:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:53:5d0::/44 | 2002:53:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:53:5e0::/44 | 2002:53:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:53:5f0::/44 | 2002:53:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:53:600::/44 | 2002:53:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:53:610::/44 | 2002:53:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:53:620::/44 | 2002:53:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:53:630::/44 | 2002:53:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:53:640::/44 | 2002:53:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:53:650::/44 | 2002:53:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:53:660::/44 | 2002:53:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:53:670::/44 | 2002:53:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:53:680::/44 | 2002:53:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:53:690::/44 | 2002:53:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:53:6a0::/44 | 2002:53:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:53:6b0::/44 | 2002:53:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:53:6c0::/44 | 2002:53:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:53:6d0::/44 | 2002:53:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:53:6e0::/44 | 2002:53:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:53:6f0::/44 | 2002:53:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:53:700::/44 | 2002:53:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:53:710::/44 | 2002:53:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:53:720::/44 | 2002:53:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:53:730::/44 | 2002:53:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:53:740::/44 | 2002:53:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:53:750::/44 | 2002:53:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:53:760::/44 | 2002:53:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:53:770::/44 | 2002:53:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:53:780::/44 | 2002:53:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:53:790::/44 | 2002:53:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:53:7a0::/44 | 2002:53:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:53:7b0::/44 | 2002:53:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:53:7c0::/44 | 2002:53:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:53:7d0::/44 | 2002:53:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:53:7e0::/44 | 2002:53:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:53:7f0::/44 | 2002:53:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:53:800::/44 | 2002:53:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:53:810::/44 | 2002:53:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:53:820::/44 | 2002:53:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:53:830::/44 | 2002:53:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:53:840::/44 | 2002:53:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:53:850::/44 | 2002:53:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:53:860::/44 | 2002:53:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:53:870::/44 | 2002:53:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:53:880::/44 | 2002:53:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:53:890::/44 | 2002:53:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:53:8a0::/44 | 2002:53:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:53:8b0::/44 | 2002:53:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:53:8c0::/44 | 2002:53:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:53:8d0::/44 | 2002:53:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:53:8e0::/44 | 2002:53:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:53:8f0::/44 | 2002:53:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:53:900::/44 | 2002:53:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:53:910::/44 | 2002:53:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:53:920::/44 | 2002:53:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:53:930::/44 | 2002:53:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:53:940::/44 | 2002:53:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:53:950::/44 | 2002:53:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:53:960::/44 | 2002:53:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:53:970::/44 | 2002:53:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:53:980::/44 | 2002:53:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:53:990::/44 | 2002:53:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:53:9a0::/44 | 2002:53:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:53:9b0::/44 | 2002:53:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:53:9c0::/44 | 2002:53:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:53:9d0::/44 | 2002:53:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:53:9e0::/44 | 2002:53:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:53:9f0::/44 | 2002:53:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:53:a00::/44 | 2002:53:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:53:a10::/44 | 2002:53:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:53:a20::/44 | 2002:53:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:53:a30::/44 | 2002:53:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:53:a40::/44 | 2002:53:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:53:a50::/44 | 2002:53:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:53:a60::/44 | 2002:53:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:53:a70::/44 | 2002:53:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:53:a80::/44 | 2002:53:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:53:a90::/44 | 2002:53:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:53:aa0::/44 | 2002:53:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:53:ab0::/44 | 2002:53:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:53:ac0::/44 | 2002:53:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:53:ad0::/44 | 2002:53:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:53:ae0::/44 | 2002:53:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:53:af0::/44 | 2002:53:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:53:b00::/44 | 2002:53:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:53:b10::/44 | 2002:53:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:53:b20::/44 | 2002:53:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:53:b30::/44 | 2002:53:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:53:b40::/44 | 2002:53:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:53:b50::/44 | 2002:53:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:53:b60::/44 | 2002:53:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:53:b70::/44 | 2002:53:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:53:b80::/44 | 2002:53:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:53:b90::/44 | 2002:53:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:53:ba0::/44 | 2002:53:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:53:bb0::/44 | 2002:53:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:53:bc0::/44 | 2002:53:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:53:bd0::/44 | 2002:53:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:53:be0::/44 | 2002:53:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:53:bf0::/44 | 2002:53:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:53:c00::/44 | 2002:53:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:53:c10::/44 | 2002:53:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:53:c20::/44 | 2002:53:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:53:c30::/44 | 2002:53:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:53:c40::/44 | 2002:53:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:53:c50::/44 | 2002:53:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:53:c60::/44 | 2002:53:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:53:c70::/44 | 2002:53:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:53:c80::/44 | 2002:53:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:53:c90::/44 | 2002:53:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:53:ca0::/44 | 2002:53:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:53:cb0::/44 | 2002:53:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:53:cc0::/44 | 2002:53:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:53:cd0::/44 | 2002:53:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:53:ce0::/44 | 2002:53:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:53:cf0::/44 | 2002:53:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:53:d00::/44 | 2002:53:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:53:d10::/44 | 2002:53:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:53:d20::/44 | 2002:53:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:53:d30::/44 | 2002:53:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:53:d40::/44 | 2002:53:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:53:d50::/44 | 2002:53:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:53:d60::/44 | 2002:53:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:53:d70::/44 | 2002:53:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:53:d80::/44 | 2002:53:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:53:d90::/44 | 2002:53:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:53:da0::/44 | 2002:53:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:53:db0::/44 | 2002:53:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:53:dc0::/44 | 2002:53:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:53:dd0::/44 | 2002:53:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:53:de0::/44 | 2002:53:def:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:53:df0::/44 | 2002:53:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:53:e00::/44 | 2002:53:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:53:e10::/44 | 2002:53:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:53:e20::/44 | 2002:53:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:53:e30::/44 | 2002:53:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:53:e40::/44 | 2002:53:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:53:e50::/44 | 2002:53:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:53:e60::/44 | 2002:53:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:53:e70::/44 | 2002:53:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:53:e80::/44 | 2002:53:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:53:e90::/44 | 2002:53:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:53:ea0::/44 | 2002:53:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:53:eb0::/44 | 2002:53:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:53:ec0::/44 | 2002:53:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:53:ed0::/44 | 2002:53:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:53:ee0::/44 | 2002:53:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:53:ef0::/44 | 2002:53:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:53:f00::/44 | 2002:53:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:53:f10::/44 | 2002:53:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:53:f20::/44 | 2002:53:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:53:f30::/44 | 2002:53:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:53:f40::/44 | 2002:53:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:53:f50::/44 | 2002:53:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:53:f60::/44 | 2002:53:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:53:f70::/44 | 2002:53:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:53:f80::/44 | 2002:53:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:53:f90::/44 | 2002:53:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:53:fa0::/44 | 2002:53:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:53:fb0::/44 | 2002:53:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:53:fc0::/44 | 2002:53:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:53:fd0::/44 | 2002:53:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:53:fe0::/44 | 2002:53:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:53:ff0::/44 | 2002:53:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |